--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*string)
on new (me,p1)
  me._class = #FileInfo
  me.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
  me._id = $.Qt._qx.newObject(me._class,VOID,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
	obj._class = #FileInfo
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- absoluteFilePath () -> string
on absoluteFilePath (me)
  return $.Qt._qx.callObject(me._id,#absoluteFilePath)
end

-- absolutePath () -> string
on absolutePath (me)
  return $.Qt._qx.callObject(me._id,#absolutePath)
end

-- baseName () -> string
on baseName (me)
  return $.Qt._qx.callObject(me._id,#baseName)
end

-- exists () -> bool
on exists (me)
  return $.Qt._qx.callObject(me._id,#exists)
end

-- fileName () -> string
on fileName (me)
  return $.Qt._qx.callObject(me._id,#fileName)
end

-- isDir () -> bool
on isDir (me)
  return $.Qt._qx.callObject(me._id,#isDir)
end

-- isFile () -> bool
on isFile (me)
  return $.Qt._qx.callObject(me._id,#isFile)
end

-- size () -> int
on size (me)
  return $.Qt._qx.callObject(me._id,#size)
end

-- suffix () -> string
on suffix (me)
  return $.Qt._qx.callObject(me._id,#suffix)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

