--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*WidgetID)
on new (me,p1)
  me._class = #SvgWidget
  me.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  me._id = $.Qt._qx.newWidget(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
	obj._class = #SvgWidget
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- load (string)
on load (me,p1)
  $.Qt._qx.callWidget(me._id,#load,p1)
end

-- loadData (string)
on loadData (me,p1)
  $.Qt._qx.callWidget(me._id,#loadData,p1)
end

-- defaultSize ()
on defaultSize (me)
  return $.Qt._qx.callWidget(me._id,#defaultSize)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

